# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['mewni',
 'mewni.cli',
 'mewni.core',
 'mewni.core.templates',
 'mewni.templates.project',
 'mewni.templates.project.bot',
 'mewni.templates.project.bot.config',
 'mewni.templates.project.bot.controllers',
 'mewni.templates.project.bot.filters',
 'mewni.templates.project.bot.middlewares',
 'mewni.templates.project.bot.models',
 'mewni.templates.project.bot.services',
 'mewni.templates.project.bot.stores',
 'mewni.templates.project.bot.templates',
 'mewni.templates.project.bot.types',
 'mewni.templates.project.bot.utils',
 'mewni.tests',
 'mewni.types',
 'mewni.utils']

package_data = \
{'': ['*'],
 'mewni': ['templates/*'],
 'mewni.templates.project.bot': ['locales/*']}

install_requires = \
['Jinja2>=3.1.2,<4.0.0',
 'Werkzeug>=2.1.2,<3.0.0',
 'aiogram>=2.2.0',
 'aioredis>=2.0.1',
 'aioschedule>=0.5.2,<0.6.0',
 'click>=8.1.3,<9.0.0',
 'cogapp>=3.3.0,<4.0.0',
 'environs>=9.5.0',
 'peewee>=3.14.10']

entry_points = \
{'console_scripts': ['mewni = mewni.cli:main', 'ni = mewni.cli:main']}

setup_kwargs = {
    'name': 'mewni',
    'version': '0.1.7',
    'description': 'Telegram bot framework',
    'long_description': None,
    'author': 'Danil Sokolov',
    'author_email': 'danilzyx@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.10',
}


setup(**setup_kwargs)
